package function

import org.assertj.core.api.Assertions.assertThat
import org.junit.jupiter.api.Test
import org.junit.jupiter.api.TestInstance
import org.junit.jupiter.api.TestInstance.Lifecycle.PER_CLASS
import sexpression.Cons
import sexpression.Nil

@TestInstance(PER_CLASS)
class LispSpecialFunctionTest {

    @Test
    fun `arguments are not evaluated`() {
        val lispFunction = object : LispSpecialFunction() {
            override fun call(argumentList: Cons) = Nil
        }

        assertThat(lispFunction.isArgumentListEvaluated).isFalse()
    }
}
